## org.apache.myfaces.taglib.html.ext
Class HtmlInputSecretTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlInputTagBase
                      org.apache.myfaces.taglib.html.HtmlInputSecretTagBase
                          org.apache.myfaces.taglib.html.ext.HtmlInputSecretTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlInputSecretTag
extends HtmlInputSecretTagBase

Version:
  $Revision$ $Date: 2005-06-05 13:08:33 +0200 (Sun, 5 Jun 2005) $
Author:
  Bruno Aranda

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlInputSecretTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setDatafld(java.lang.String datafld)`
`void` `setDataformatas(java.lang.String dataformatas)`
`void` `setDatasrc(java.lang.String datasrc)`
`void` `setDisplayValueOnly(java.lang.String displayValueOnly)`
`void` `setDisplayValueOnlyStyle(java.lang.String displayValueOnlyStyle)`
`void` `setDisplayValueOnlyStyleClass(java.lang.String displayValueOnlyStyleClass)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputSecretTagBase
`setAccesskey, setAlign, setAlt, setDisabled, setMaxlength, setOnblur, setOnchange, setOnfocus, setOnselect, setReadonly, setRedisplay, setSize, setTabindex`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputTagBase
`setImmediate, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlInputSecretTag

    public HtmlInputSecretTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlInputSecretTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlInputSecretTagBase`

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

### setDisplayValueOnly

    public void setDisplayValueOnly(java.lang.String displayValueOnly)

### setDisplayValueOnlyStyle

    public void setDisplayValueOnlyStyle(java.lang.String displayValueOnlyStyle)

### setDisplayValueOnlyStyleClass

    public void setDisplayValueOnlyStyleClass(java.lang.String displayValueOnlyStyleClass)

### setDatafld

    public void setDatafld(java.lang.String datafld)

  Overrides:
    `setDatafld` in class `HtmlInputSecretTagBase`

### setDatasrc

    public void setDatasrc(java.lang.String datasrc)

  Overrides:
    `setDatasrc` in class `HtmlInputSecretTagBase`

### setDataformatas

    public void setDataformatas(java.lang.String dataformatas)

  Overrides:
    `setDataformatas` in class `HtmlInputSecretTagBase`